ghc-7.4.1: The GHC API

Safe Haskell | Safe-Infered

CmmType

# Documentation

data CmmType

Instances

Outputable CmmType |

b8, f64, f32, b64, b32, b16 :: CmmType

bWord, gcWord, bHalfWord :: CmmType

cInt, cLong :: CmmType

cmmBits, cmmFloat :: Width -> CmmType

typeWidth :: CmmType -> Width

cmmEqType :: CmmType -> CmmType -> Bool

cmmEqType_ignoring_ptrhood :: CmmType -> CmmType -> Bool

isFloatType, isGcPtrType :: CmmType -> Bool

isWord32, isFloat64, isFloat32, isWord64 :: CmmType -> Bool

data Width

Constructors

W8 |
W16 |
W32 |
W64 |
W80 |
W128 |

Instances

Eq Width |
Ord Width |
Show Width |
Outputable Width |

widthInBits :: Width -> Int

widthInBytes :: Width -> Int

widthInLog :: Width -> Int

widthFromBytes :: Int -> Width

wordWidth, halfWordWidth :: Width

cIntWidth, cLongWidth :: Width

narrowU :: Width -> Integer -> Integer

narrowS :: Width -> Integer -> Integer